mbedtls_rsa_context Struct Reference

RSA context structure. More...

`#include <rsa.h>`

Collaboration diagram for mbedtls_rsa_context:
[legend]

## Data Fields

int | ver
size_t | len
mbedtls_mpi | N
mbedtls_mpi | E
mbedtls_mpi | D
mbedtls_mpi | P
mbedtls_mpi | Q
mbedtls_mpi | DP
mbedtls_mpi | DQ
mbedtls_mpi | QP
mbedtls_mpi | RN
mbedtls_mpi | RP
mbedtls_mpi | RQ
mbedtls_mpi | Vi
mbedtls_mpi | Vf
int | padding
int | hash_id
mbedtls_threading_mutex_t | mutex

## Detailed Description

RSA context structure.

Definition at line 79 of file rsa.h.

## Field Documentation

mbedtls_mpi mbedtls_rsa_context::D

private exponent

Definition at line 87 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::DP

D % (P - 1)

Definition at line 90 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::DQ

D % (Q - 1)

Definition at line 91 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::E

public exponent

Definition at line 85 of file rsa.h.

int mbedtls_rsa_context::hash_id

Hash identifier of mbedtls_md_type_t as specified in the mbedtls_md.h header file for the EME-OAEP and EMSA-PSS encoding

Definition at line 103 of file rsa.h.

size_t mbedtls_rsa_context::len

size(N) in chars

Definition at line 82 of file rsa.h.

mbedtls_threading_mutex_t mbedtls_rsa_context::mutex

Thread-safety mutex

Definition at line 108 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::N

public modulus

Definition at line 84 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::P

1st prime factor

Definition at line 88 of file rsa.h.

int mbedtls_rsa_context::padding

MBEDTLS_RSA_PKCS_V15 for 1.5 padding and RSA_PKCS_v21 for OAEP/PSS

Definition at line 101 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::Q

2nd prime factor

Definition at line 89 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::QP

1 / (Q % P)

Definition at line 92 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::RN

cached R^2 mod N

Definition at line 94 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::RP

cached R^2 mod P

Definition at line 95 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::RQ

cached R^2 mod Q

Definition at line 96 of file rsa.h.

int mbedtls_rsa_context::ver

always 0

Definition at line 81 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::Vf

cached un-blinding value

Definition at line 99 of file rsa.h.

mbedtls_mpi mbedtls_rsa_context::Vi

cached blinding value

Definition at line 98 of file rsa.h.

The documentation for this struct was generated from the following file:

- rsa.h